apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  labels:
    {{ network_policy_deployment_label }}: job-{{ tekton_name }}
    version: "{{ tekton_assets_version }}"
  name: oc-client
  namespace: {{ buildns }}
spec:
  params:
  - default:
    - help
    description: The OpenShift CLI arguments to run
    name: ARGS
    type: array
  steps:
  - args:
    - $(params.ARGS)
    command:
    - /usr/bin/oc
    image: {{ tekton_oc_client_image }}
    name: oc
{% if tekton_uses_resources_limits | default(False) %}
    resources:
      limits:
        cpu: "{{ tekton_k8s_client_cpu_limit }}"
        memory: {{ tekton_k8s_client_memory_limit }}
      requests:
        cpu: "{{ tekton_k8s_client_cpu_request }}"
        memory: {{ tekton_k8s_client_memory_request }}
{% else %}
    resources: {}
{% endif %}
{% if k8s_flavor == 'kubernetes' %}
    securityContext:
      runAsUser: {{ k8s_unprivileged_userid }}
{% endif %}
